Subject: Re: [PATCH, RFC] checkout: Attempt to checkout submodules

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2015 14:15:19 -0700

Trevor Saunders <[email-masked]> writes:

> On one hand it seems kind of user hostile to just toss out any changes
> in the submodule that are uncommitted, on the other for any other path
> it would seem weird to have git checkout trigger rebasing or merging.

I think that is exactly why we do not do anything in this codepath.

I have a feeling that an optional feature that allows "git submodule
update" to happen automatically from this codepath might be
acceptable by the submodule folks, and they might even say it does
not even have to be optional but should be enabled by default.

But I do not think it would fly well to unconditionally run
"checkout -f" here.